"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
var _a;
Object.defineProperty(exports, "__esModule", { value: true });
exports.components = void 0;
var react_1 = __importDefault(require("react"));
var react_form_renderer_1 = require("@data-driven-forms/react-form-renderer");
var text_field_1 = __importDefault(require("../text-field"));
var select_1 = __importDefault(require("../select"));
var sub_form_1 = __importDefault(require("../sub-form"));
var checkbox_1 = __importDefault(require("../checkbox"));
var tabs_1 = __importDefault(require("../tabs"));
var field_array_1 = __importDefault(require("../field-array"));
var link_1 = __importDefault(require("../link"));
var plain_text_1 = __importDefault(require("../plain-text"));
var NullComponent = function () { return react_1.default.createElement("span", null, "Not implemented"); };
var mapper = (_a = {},
    _a[react_form_renderer_1.componentTypes.TEXT_FIELD] = text_field_1.default,
    _a[react_form_renderer_1.componentTypes.TEXTAREA] = NullComponent,
    _a[react_form_renderer_1.componentTypes.SELECT] = select_1.default,
    _a[react_form_renderer_1.componentTypes.CHECKBOX] = checkbox_1.default,
    _a[react_form_renderer_1.componentTypes.SUB_FORM] = sub_form_1.default,
    _a[react_form_renderer_1.componentTypes.RADIO] = NullComponent,
    _a[react_form_renderer_1.componentTypes.TABS] = tabs_1.default,
    _a[react_form_renderer_1.componentTypes.DATE_PICKER] = NullComponent,
    _a[react_form_renderer_1.componentTypes.TIME_PICKER] = NullComponent,
    _a[react_form_renderer_1.componentTypes.WIZARD] = NullComponent,
    _a[react_form_renderer_1.componentTypes.SWITCH] = NullComponent,
    _a[react_form_renderer_1.componentTypes.PLAIN_TEXT] = plain_text_1.default,
    _a[react_form_renderer_1.componentTypes.FIELD_ARRAY] = field_array_1.default,
    _a[react_form_renderer_1.componentTypes.DUAL_LIST_SELECT] = NullComponent,
    _a[react_form_renderer_1.componentTypes.SLIDER] = NullComponent,
    _a['link'] = link_1.default,
    _a);
exports.default = mapper;
exports.components = {
    TextField: text_field_1.default,
};
//# sourceMappingURL=component-mapper.js.map